Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Reactor Zeichenreihenfolge

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Reactor Zeichenreihenfolge (1017 mal gelesen)
kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 19. Jan. 2012 15:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo

Ich würde gerne mittels eines Ractors verschiedene Element (z.B. Multilinien) beim erstellen "nach unten" verschieben.

(command "zeichreihenf" (entlast) "" "u") geht im Reactor ja leider nicht.

Wie kann kann ich das sonst lösen ?

DANKE

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 19. Jan. 2012 15:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

nutz die entsprechenden ActiveX-Funktionen

(vlax-Invoke-method SORTENS  'MOVETOBOTTOM .....

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 20. Jan. 2012 12:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke, aber ICH und ActiveX
wir kennen uns noch nicht
wird wohl Zeit, dass ich mich damit beschäftige

Code:
(vlax-Invoke-method (vlax-ename->vla-object (ENTLAST))  "MoveToBottom")

was stimmt da nicht?

ACAD meldet:
; Fehler: ActiveX-Server gab folgenden Fehler zurück: unbekannter Name: MoveToBottom

------------------
schöne Grüsse

[Diese Nachricht wurde von kist am 20. Jan. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 20. Jan. 2012 12:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

die Methode  'MOVETOBOTTOM kennt nur das AcDbSortenstable-Objekt ..... das ist ein ExtensionDictionary des jeweiligen Blockobjektes ... das evtl auch erst noch erstellt werden muss...

such mal im INET nach "AcDbSortenstable"  .. vielleicht wirst du mit kurzem BSP-Code fündig ...

.. ansonsten mußte noch mal nachfragen


Zur Info:
Im Allgemeinen werden überlappende Objekte, wie z. B. Text, breite Polylinien und kompakt gefüllte Polygone, in der Reihenfolge ihrer Erstellung angezeigt: neu erstellte Objekte im Vordergrund vorhandener Objekte. Das ist z.B. aber bei Schraffuren- speziell vom Typ "Solid", aber auch bei anderen Anwendungsfällen nicht unbedingt erwünscht. ACAD hat deshalb für die Umsortierung den Befehl  "ZEICHREIHENF"/ "_drawoder" implementiert. Mit "ZEICHENREIHENF/_draworder" kann die Zeichnungsreihenfolge aller sichtbaren Objekte(d. h. die Anzeige- und Plotreihenfolge) geändert werden. Hierbei werden aber nicht die Geometrieobjekte in der Zeichnungsdatenbank umsortiert, sondern diese nur indiziert und
die Objektzeiger entsprechend der gewünschten Anzeigereihenfolge sortiert in einer sogenannten "AcDBSortanstable" (so der korrekte Objektname) abgelegt. Diese Tabelle ist Bestandteil des ExtensionDictionarys des jeweiligen Blockes, zu dem die indizierten
Objekte gehören. Deshalb ist auch die Steuerung der Anzeigereihenfolge überlappender
Objekte zwischen Modellbereich und Papierbereich oder verschiedenen Blöcken nicht möglich.


------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 23. Jan. 2012 15:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

CADmium
Danke für deine Mühe
Ich hab nach "AcDbSortenstable" gesucht aber nicht gefunden
mit dem ICH etwas anfangen kann

sry

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neurosis
Mitglied
dipl.ing.


Sehen Sie sich das Profil von neurosis an!   Senden Sie eine Private Message an neurosis  Schreiben Sie einen Gästebucheintrag für neurosis

Beiträge: 220
Registriert: 22.08.2006

erstellt am: 23. Jan. 2012 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

 
Zitat:
Ich hab nach "AcDbSortenstable" gesucht aber nicht gefunden
mit dem ICH etwas anfangen kann

auch damit nicht?
http://www.menziengineering.ch/Downloads/Download.htm#48

gruss
marco

------------------
Marco Heuer
www.arc-aachen.de
Airport Office

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 23. Jan. 2012 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von neurosis:
 

auch damit nicht?
http://www.menziengineering.ch/Downloads/Download.htm#48

gruss
marco


P.S. Menzis Code Funktioniert so nur im Modellbereich .... eigentlich sollte man als "AcDbSortentsTable-Exdic-Block" den Owner des Objektes nehmen ...

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 24. Jan. 2012 09:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von neurosis:
 

auch damit nicht?
http://www.menziengineering.ch/Downloads/Download.htm#48

gruss
marco


OHa ja doch, das ist genau das was ich benötige, denke ich
Ich weiss bloss nicht was mit

Obl = Object list [LIST]

gemeint ist.
Was muss in der Liste stehen?


Code:

(VxSetDrawOrder Obl?? nil 'MoveToBottom)

Obl soll meine soeben gezeichnete ML sein.

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neurosis
Mitglied
dipl.ing.


Sehen Sie sich das Profil von neurosis an!   Senden Sie eine Private Message an neurosis  Schreiben Sie einen Gästebucheintrag für neurosis

Beiträge: 220
Registriert: 22.08.2006

erstellt am: 24. Jan. 2012 10:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

eine liste von vla-objects soll drinstehen.

wenn die multilinie das letzte element in der zeichnung ist, so:

Code:
(setq obl (list (vlax-ename->vla-object (entlast)))

gruss
marco

------------------
Marco Heuer
www.arc-aachen.de
Airport Office

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 24. Jan. 2012 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

..... ich hab dir mal ne Machbarkeitsstudie zum Testen rangehangen .... MLINEBACK:INSTALL installiert den Reaktor / MLINEBACK:REMOVE entfernt ihn wieder .. zum automaischen laden hilft die Zeile

(if(/=(load "MLINEBACK.VLX" "ERROR")"ERROR)
  (C:MLINEBACK:INSTALL)
)

in der acaddoc.lsp

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 24. Jan. 2012 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen vielen Dank euch beiden
gaaaanz genau das ist es was ich will

Und ich versprech hoch und heilig das ich mich mit ActiveX beschäftige wenn ich mal ein bisschen Luft hab.

U`s4u

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz